{inputs, ...}: let
  domain = "vidyos.peninsula.industries";
  port = 3876;
in {
  services.postgresql.port = 5444;
  services.invidious = {
    package =
      inputs.nixpkgs-nixos-unstable.legacyPackages."x86_64-linux".invidious;
    enable = false;
    inherit domain;
    inherit port;
    database.createLocally = true;
    database.port = 5444;
    nginx.enable = false;
    settings = {
      external_port = 443;
      https_only = true;
      disable_proxy = false;
      registration_enabled = false;
      hmac_key = "hd5YPAk7XR3W7nEWRrP6";
    };
  };
}
