{...}: let
  domain = "vidyos.peninsula.industries";
  port = 3876;
in {
  imports = [../nginx.nix];
  services.nginx = {
    virtualHosts = {
      "${domain}" = {
        forceSSL = true;
        enableACME = true;
        locations."/" = {
          proxyPass = "http://bolty.raptor-carp.ts.net:" + toString port;
          proxyWebsockets = true;
        };
      };
    };
  };
}
