{...}: {
  networking.hostName = "vpsfree1";

  imports = [
    ./vpsfree1-vpsadminos.nix
    ../cli.nix
    ../nginx.nix
    ../send-logs.nix
    ./backups.nix
    ./cryptpad.nix
    ./foundryvtt.nix
    ./gitea.nix
    ./mastodon.nix
    ./rss.nix
    ./ssh.nix
    ./syncthing-relay.nix
    ./videos.nix
  ];

  systemd.extraConfig = ''
    DefaultTimeoutStartSec=900s
  '';

  boot.binfmt.emulatedSystems = ["aarch64-linux"];
  time.timeZone = "Europe/London";
  nix.settings.cores = 8;
}
